#include <sys/types.h>

#include <regex.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "bozohttpd.h"

static int
bozo_build_contents(bozohttpd_t *httpd, const char *f)
{
	regmatch_t	 matches[10];
	regex_t	 	 r;
	char		 buf[BUFSIZ * 4];
	FILE		*fp;

	if ((fp = fopen(f, "r")) == NULL) {
	}
	(void) regcomp(&r, "^[ \t]*\"([^\"]+)\"[ \t]+\"([^\"]+)\"[ \t]+\"([^\"]*)\"[ \t]+\"([^\"]*)\"", REG_EXTENDED);
	while (fgets(buf, sizeof(buf), fp) != NULL) {
		if (regexec(&r, buf, 10, matches, 0) == 0) {
			printf("got '%.*s', '%.*s', '%.*s', '%.*s'\n",
				(int)(matches[1].rm_eo - matches[1].rm_so),
				&buf[matches[1].rm_so],
				(int)(matches[2].rm_eo - matches[2].rm_so),
				&buf[matches[2].rm_so],
				(int)(matches[3].rm_eo - matches[3].rm_so),
				&buf[matches[3].rm_so],
				(int)(matches[4].rm_eo - matches[4].rm_so),
				&buf[matches[4].rm_so]);
		}
	}
	(void) fclose(fp);
}

int
main(int argc, char **argv)
{
	bozohttpd_t	httpd;

	(void) memset(&httpd, 0x0, sizeof(httpd));
	bozo_build_contents(&httpd, argv[1]);
}
